Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 546738 - Review Request: accerciser - An interactive Python accessibility explorer for the GNOME desktop
Summary: Review Request: accerciser - An interactive Python accessibility explorer for...
Keywords:
Status: CLOSED DUPLICATE of bug 813306
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2009-12-11 20:16 UTC by Ben Konrath
Modified: 2012-04-18 21:05 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-02 14:09:06 UTC


Attachments (Terms of Use)

Description Ben Konrath 2009-12-11 20:16:40 UTC
Spec URL: http://bagu.org/scratch/accerciser.spec
SRPM URL: http://bagu.org/scratch/accerciser-1.9.3-1.fc12.src.rpm
Description:
Accerciser is an interactive Python accessibility explorer for the GNOME desktop. It uses AT-SPI to inspect and control widgets, allowing you to check if an application is providing correct information to assistive technologies and automated test frameworks.

Comment 1 Matthias Clasen 2010-05-29 23:35:43 UTC
Builds fine in mock.

rpmlint says:
accerciser.noarch: E: explicit-lib-dependency libgail-gnome
accerciser.noarch: W: spelling-error %description -l en_US assistive -> assistance, assisted, assistant
accerciser.noarch: E: non-executable-script /usr/share/accerciser/plugins/ipython_view.py 0644L /usr/bin/python
accerciser.noarch: W: non-conffile-in-etc /etc/gconf/schemas/accerciser.schemas
accerciser.src: W: spelling-error %description -l en_US assistive -> assistance, assisted, assistant
2 packages and 0 specfiles checked; 2 errors, 3 warnings.

Comment 2 Matthias Clasen 2010-05-29 23:58:47 UTC
In the rpmlint output, the non-executable-script warning should probably be fixed by removing the shebang line from the plugin.

Comment 3 Matthias Clasen 2010-05-30 00:19:49 UTC
package name: ok
spec file name: ok
packaging guidelines:
 - the rm -rf at the top of %install is no longer necessary
 - %clean is no longer necessary
 - the handling of the icon cache should be updated to follow https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache
 - the desktop file has no MimeType entry, so the update-desktop-database call is unnecessary
license: ok
license field: ok
license file: ok
spec file language: ok
spec file readability: ok
upstream sources: ok
buildable: ok
excludearch: ok
buildrequires: ok
locale handling: ok
ldconfig: ok
system libraries: ok
relocatable: ok
directory ownership: ok
duplicate files: ok
permissions: ok
macro use: ok
permissable content: ok
large docs: ok
%doc content: ok
headers: ok
static libs: ok
shared libs: ok
devel package: ok
libtool archives: ok
gui app: 
 - need to call desktop-file-validate on the installed desktop file
directory ownership: ok
utf8 filenames: ok

Comment 4 Ben Konrath 2010-10-30 15:10:39 UTC
I no longer have time to maintain the accerciser package. Does somebody want to take over the package review? I would like to remove the spec file and sprm from my server. Is there a place I can put these files to in case somebody wants to take over this review sometime in the future? Thanks, Ben

Comment 5 Jason Tibbitts 2010-11-01 22:53:59 UTC
You can put files on your fedorapeople account if you have one, or you could attach the spec file to this ticket.  There don't seem to be any patches so it should be sufficient to recreate the package.

Comment 6 Ben Konrath 2010-11-02 07:32:24 UTC
I copied the files from the initial post to my fedorapeople page:

http://fedorapeople.org/~bkonrath/accerciser-1.9.3-1.fc12.src.rpm
http://fedorapeople.org/~bkonrath/accerciser.spec

Should I keep this bug open even though I'm not planning to continue the review or should should I close it?

Thanks, Ben

Comment 7 Jason Tibbitts 2010-11-02 14:09:06 UTC
I'll close it out for you.  The ticket will of course stay around and be easy to find from the search box http://fedoraproject.org/PackageReviewStatus/ among other places, should someone want to pick it back up in the future.

Comment 8 Kalev Lember 2012-04-18 21:05:52 UTC

*** This bug has been marked as a duplicate of bug 813306 ***


Note You need to log in before you can comment on or make changes to this bug.